quote

The quote query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the Quote type.

query quote ($id: ID, $code: String, $format: String) {
  quote (id: $id, code: $code, format: $format) {
    acceptedAt
    acceptedByName
    acceptedByTitle
    accountId
    amount
    amountAsCurrency
    amountDue
    applicationDate
    applied
    applyOnAccept
    backdatedPeriods
    backdatedQuote
    billingDay
    contactId
    createdAt
    credits
    currencyId
    customFieldsData
    dealId
    discount
    discountValue
    documentTemplateId
    emailBody
    emailSubject
    endDate
    evergreen
    expiresAt
    hasCustomFields
    id
    invoiceImmediately
    invoiceImmediatelyAvailable
    invoiceUntil
    isPendingApprovalRequest
    message
    name
    netPaymentDays
    notes
    number
    ownerId
    payToAccept
    payableId
    periodAmount
    poNumber
    requiresApproval
    sharedAt
    signingIntegration
    skipBackdatedInvoices
    smallUnitAmountDue
    splitInvoice
    startDate
    subtotal
    taxAmount
    taxCode
    taxOutOfDate
    taxationEnabled
    updatedAt
    userEmailBody
    userEmailSubject
    uuid
    viewedAt
  }
}

ArgumentsLink to Arguments section

Name Type Description
id ID  
code String  
format String  

ResponseLink to Response section